Bug 2025318 - Review Request: godot-cpp-devel - Godot native C++ interface
Summary: Review Request: godot-cpp-devel - Godot native C++ interface
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 2010111
TreeView+ depends on / blocked
 
Reported: 2021-11-21 16:48 UTC by Dennis Payne
Modified: 2022-01-17 00:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-17 00:45:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
godot-cpp-devel.spec (1.39 KB, text/x-rpm-spec)
2021-12-18 00:22 UTC, Sandro Mani
no flags Details

Description Dennis Payne 2021-11-21 16:48:12 UTC
Spec URL: http://identicalsoftware.com/gamerzilla/godot-cpp-devel.spec
SRPM URL: http://identicalsoftware.com/gamerzilla/godot-cpp-devel-3.4-1.fc35.src.rpm
Description:
C++ interface used to create Godot native libraries.

Fedora Account System Username:dulsi

Comment 1 Sandro Mani 2021-11-21 17:07:41 UTC
Can you add a comment explaining the reason for ExcludeArch?

Comment 2 Dennis Payne 2021-11-21 17:46:40 UTC
I should go back and add that to gdnativegamerzilla. The package has file "%{_libdir}/libgodot-cpp.linux.release.64.a". On a 32 bit platform that would be .32.a but I don't know a simple way to specify that in the spec file. Also I don't know that it can generate successfully for 32 platforms. The sample SConstruct that was adapted for gdnativegamerzilla has "only support 64 at this time..". I suspect it would work on a 32-bit platform but have not tested it.

Comment 3 Sandro Mani 2021-11-21 18:13:04 UTC
I'd just add it this as a comment and yes, then also gdnativegamerzilla needs to have ExcludeArch. What about other arches?

Comment 4 Dennis Payne 2021-11-21 18:57:31 UTC
I don't know. I was trying to find a list of architectures and which are 32 bits but my searches failed me. I figure if it is 64 bit I'll try it and if it doesn't compile I'll exclude it.

Comment 5 Sandro Mani 2021-12-18 00:22:53 UTC
Created attachment 1846800 [details]
godot-cpp-devel.spec

In case you still want to pursue this, here is a spec which builds on all arches (using cmake rather than scons).

Comment 6 Sandro Mani 2021-12-18 00:23:28 UTC
Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=80136367

Comment 7 Package Review 2022-01-17 00:45:28 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.